{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sites ({{ site_list.count }} total)</title>
    <link href="{% static 'bootstrap.min.css' %}" rel="stylesheet" type="text/css">
    <link href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
   integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
   crossorigin="" rel="stylesheet" type="text/css" />
    <style rel="stylesheet" type="text/css">
        .close {float: left !important;}
        .site {color: #000060; font-weight: 700;}
        a:hover {text-decoration: none;}
        .hazard {color: #600000; font-weight: 700;}
        #site_map {height: 90vh;}
    </style>
</head>
<body class="text-left container-fluid" dir="rtl">
<div class="row">
    <div id="site_list" class="col-lg">
        {% for s in object_list %}
            <div class="alert alert-dark m-2 w-100 text-right">
                <a data-toggle="collapse" href="#site_details" role="button" aria-controls="site_details" class="site" data-abs-url="{{ s.get_absolute_url }}">
                    {{ s.pk }}. {{ s }}
                </a>
            </div>
        {% endfor %}
    </div>
    <div id="site_details" class="col-lg-6 collapse">
        <div class="alert alert-dark m-2 w-100 text-right">
            <button class="close">&times;</button>
            <div id="site_content" class="mb-3 pt-2"></div>
            <div id="site_map"></div>
        </div>
    </div>
</div>

<script src="{% static 'jquery-3.6.0.min.js' %}" type="text/javascript"></script>
<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js" integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA==" crossorigin=""></script>
<script src="{% static 'bootstrap.min.js' %}" type="text/javascript"></script>
<script type="text/javascript">
    let map, polygon, bounds, polypoints, center;
    $(document).ready(function (){
       let idx = Number(location.hash.split('/').pop());
       if (idx > 0 && idx <= $('#site_list > .alert > .site').length) {
           $($('#site_list > .alert > .site')[idx-1]).trigger('click');
       }
    });
    let show_site = function (e) {
        // console.log('show_site');
        if (map) {
            map.off();
            map.remove();
        }
        e.stopPropagation();
        e.preventDefault();
        let url =  $(e.target).data('abs-url');
        // console.log('url: ', url);
        {#// console.log(site);#}
        {#// console.log(site.attr('href'));#}
        $.get(url).done(function (html) {
            $('#site_content').html(html);
            $('#site_details').show();
            //// console.debug(html);
            // return false;
        });
    };

    let close_site = function () {
        // console.log('close_site');
        $('#content').html('');
        $('#site_map').html('');
        map.off();
        map.remove();
        map = null;
        $('#site_details').hide();
    };

    $('.site').on('click', show_site);
    $('.close').on('click', close_site);

</script>
</body>
</html>